GET /api/v1/user/history/watched
Names on the authenticated user’s watchlists with notification preferences, ordered by most recently added.
Authentication: Required
Cache: None
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
page | number | 1 | Page number |
limit | number | 20 | Results per page (1-100) |
Extra Fields
| Field | Type | Description |
|---|---|---|
added_at | string | When the name was added to watchlist |
notifications.on_sale | boolean | Notify on sale |
notifications.on_offer | boolean | Notify on new offers |
notifications.on_listing | boolean | Notify on listing |
notifications.on_price_change | boolean | Notify on price changes |
Sample Request
curl -H "Authorization: Bearer YOUR_TOKEN" \
"https://api.grails.app/api/v1/user/history/watched?limit=10"Response
// 200 OK
{
"success": true,
"data": {
"names": [
{
// ... standard SearchResult fields (id, name, token_id, owner, etc.)
"added_at": "2026-04-05T08:00:00.000Z",
"notifications": {
"on_sale": true,
"on_offer": true,
"on_listing": false,
"on_price_change": false
}
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 25,
"totalPages": 3,
"hasNext": true,
"hasPrev": false
}
},
"meta": {
"timestamp": "2026-04-07T12:00:00.000Z",
"version": "1.0.0"
}
}Last updated on